%define name            gcviewer
%define Name            GCViewer
%define version         1.13
%define release         1jpp
%define Summary         Java garbage collection visualizer
%define javadir         %{_datadir}/java
%define section         free
# These are needed in order to build successfully on non-Mandrake systems.
%{!?_menudir:           %define _menudir   %{_libdir}/menu}
%{!?_miconsdir:         %define _miconsdir %{_datadir}/icons/mini}
%{!?_iconsdir:          %define _iconsdir  %{_datadir}/icons}
%{!?_liconsdir:         %define _liconsdir %{_datadir}/icons/large}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        %{Summary}
License:        LGPL
URL:            http://www.tagtraum.com/gcviewer.html
Group:          Development
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.tagtraum.com/download/%{name}-%{version}.tar.gz
Source1:        %{name}.gcviewer.script
Source2:        %{name}.icon-32.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       jpackage-utils
BuildRequires:  ant >= 1.4, ant-optional >= 1.4, junit

%description
GCViewer is a tool to visualize the data produced by the Java VM options
-verbose:gc and -Xloggc:<file>. This can be very useful when tuning the
garbage collection of a particular application by changing generation sizes
or setting the initial heap size. For more information on tuning garbage
collection, take a look at the documentation provided by Sun.
Supported formats:
- Sun JDK 1.3.1/1.4 with the option -verbose:gc
- Sun JDK 1.4 with the option -Xloggc:<file> (preferred)
- IBM JDK 1.3.0 with the option -verbose:gc
GCViewer can also export the data in CSV (comma separated values) format,
which may easily be imported in spreadsheet applications for further
processing.

%package mdkmenu
Summary:	Mandrake menu entry for %{name}
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description mdkmenu
This is a Mandrake menu system entry for %{name}.

%package rhmenu
Summary:	RedHat menu entry for %{name}
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description rhmenu
This is a RedHat menu entry for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# Remove pre-built stuff.
ant clean

%build
CLASSPATH=%{javadir}/junit.jar ant all

%install
# jars
install -D -m 644 %{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# scripts
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

# mdk menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
icon="%{name}.png"\\
section="Applications/Development/Development environments"\\
title="%{Name}" \
longtitle="%{Summary}"
EOF
# icons for mdk menu
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
# rh menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{Name}
Comment=%{Summary}
Comment[fi]=Roskienkeruun visualisointitykalu Javalle
Exec=%{_bindir}/%{name}
Terminal=0
Type=Application
Icon=%{name}.png
EOF
# icons for rh menu
install -D -m 644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus

%files
%defattr(-,root,root,-)
%doc *.txt
%{_bindir}/*
%{javadir}/*

%files mdkmenu
%defattr(-,root,root,-)
%{_menudir}/*
%{_iconsdir}/%{name}.png

%files rhmenu
%defattr(-,root,root,-)
%{_sysconfdir}/X11/applnk/Development/*
%{_datadir}/icons/*/*/apps/*

%changelog
* Wed Jul 10 2002 Ville Skytt <ville.skytta at iki.fi> 1.13-1jpp
- Update to 1.13.

* Sat Jun 29 2002 Ville Skytt <ville.skytta at iki.fi> 1.12-1jpp
- First JPackage release.
